xtrx_sink_c.h File Reference
`#include <gnuradio/block.h>`
`#include <gnuradio/sync_block.h>`
`#include "sink_iface.h"`
`#include "xtrx_obj.h"`

Go to the source code of this file.

## Classes

class | xtrx_sink_c

## Functions

xtrx_sink_c_sptr | make_xtrx_sink_c (const std::string &args="")

## Variables

static const pmt::pmt_t | SOB_KEY = pmt::string_to_symbol("tx_sob")
static const pmt::pmt_t | EOB_KEY = pmt::string_to_symbol("tx_eob")
static const pmt::pmt_t | TIME_KEY = pmt::string_to_symbol("tx_time")
static const pmt::pmt_t | FREQ_KEY = pmt::string_to_symbol("tx_freq")
static const pmt::pmt_t | COMMAND_KEY = pmt::string_to_symbol("tx_command")

## Function Documentation

## make_xtrx_sink_c()

xtrx_sink_c_sptr make_xtrx_sink_c | ( | const std::string & | args = "" | ) |

## Variable Documentation

## COMMAND_KEY

const pmt::pmt_t COMMAND_KEY = pmt::string_to_symbol("tx_command")

static

## EOB_KEY

const pmt::pmt_t EOB_KEY = pmt::string_to_symbol("tx_eob")

static

## FREQ_KEY

const pmt::pmt_t FREQ_KEY = pmt::string_to_symbol("tx_freq")

static

## SOB_KEY

const pmt::pmt_t SOB_KEY = pmt::string_to_symbol("tx_sob")

static

## TIME_KEY

const pmt::pmt_t TIME_KEY = pmt::string_to_symbol("tx_time")

static